Directory
The Spoke Unified Directory is a comprehensive directory of all the users, teams and devices in your organisation. It is used to store and manage your legacy internal phone directory.
List or search the unified Spoke directory
Lists or finds directory entries. All search parameters are optional.
If no parameters are provided then a paged list of directory entries, ordered alphabetically by displayName will be returned.
query Parameters
limitThe number of objects fetched per request. Default to 100, maximum is 1000
nextOptional next token for object pagination
extensionReturns directory filtered by extension number. Exact match only.
This parameter is incompatible with ivrKey and phoneNumber
phoneNumberReturns directory filtered by phone number. Exact match only. The result set will return the directory entry with the assigned phone number.
This parameter is incompatible with extension and ivrKey
ivrKeyReturns directory filtered by IVR key. Exact match only.
This parameter is incompatible with extension and phoneNumber
includeSuspendedUsersReturn all directory entries, including suspended users.
By default, this flag is false and suspended users are excluded from the response.
includeHiddenCallGroupsIf true, the result set will include all call groups (teams) irrespective of a group's isHidden flag.
If false, the result set will only include call groups (teams) that have isHidden set to false.
By default, this flag is false and hidden call groups are excluded from the response.
Headers
AuthorizationAuthorization header bearing the access token
List or search the unified Spoke directory › Responses
Directory
The list of directory entries returned by the query.
Entries can be any of UserWithAvailability, TeamWithAvailability, Device, TrunkUser, TrunkDevice, TrunkQueue types.
The entry type discriminator is used to determine the object type.
Get a directory entry
Retrieves a directory entry
path Parameters
entryIdThe directory entry ID
Headers
AuthorizationAuthorization header bearing the access token
Get a directory entry › Responses
Directory Entry
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: displayName, id, type | |
| type = object · requires: desktopEnrolledReleaseChannel, displayName, id +5 more | |
| type = object · requires: displayName, id, isHidden +2 more | |
| type = object · requires: displayName, extension, externalId +5 more | |
| type = object · requires: displayName, extension, externalId +5 more | |
| type = object · requires: displayName, extension, externalId +5 more |
displayNameThe display name of this directory entry.
idThe id of the device.
typedeviceTypeextensionsipAddressThe device's SIP address
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.